package com.zd.laboratory.domain.vo;

import com.zd.common.core.annotation.Excel;
import com.zd.system.api.domain.SysDictData;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;
import java.util.Map;

/**
 * 实验室简略信息
 * @Author: zhoupan
 * @Date: 2021/10/04/15:44
 * @Description:
 */
@ApiModel("实验室简略信息")
public class SubSimpleVO {


    @ApiModelProperty("实验室ID")
    private Long subId;

    @ApiModelProperty("实验室名称")
    private String subName;

    @ApiModelProperty("实验室地址")
    private String address;

    @ApiModelProperty("学科类型")
    private String subClass;

    @ApiModelProperty("危险级别名称")
    private String dangerName;

    @ApiModelProperty("危险级别")
    private String dangerLevel;

    @ApiModelProperty("分级颜色")
    private String dangerColor;

    @ApiModelProperty("负责人名称")
    private String adminName;

    @ApiModelProperty("当前人数")
    private Long online;

    @ApiModelProperty("所属院系名称")
    private String deptName;

    @ApiModelProperty("负责人电话")
    private String adminPhone;

    @ApiModelProperty("进入检查项")
    private List<Map<String,String>> inCheck;

    @ApiModelProperty("离开检查项")
    private List<String> outCheck;

    @ApiModelProperty("视频设备IDS")
    private List<String> tvIds;




    @ApiModelProperty("安全负责人名称")
    private String safeUserName;

    @ApiModelProperty("安全负责人手机号")
    private String safeUserPhone;


    @ApiModelProperty("实验室安全信息")
    private SafeInfo subSafeInfo;

    @ApiModelProperty(value = "二维码地址")
    private String qrCodeUrl;

    /** 签到签出示意图 */
    @ApiModelProperty(value = "签到签出示意图")
    private String signMap;
    /** 视屏封面 */
    @ApiModelProperty(value = "视屏封面")
    private String videoCover;
    /** 操作指南 */
    @ApiModelProperty(value = "操作指南")
    private String operationGuide;

    /** 长方形logo */
    @Excel(name = "长方形logo")
    @ApiModelProperty(value = "长方形logo")
    private String rectangleLogo;

    @ApiModelProperty(value = "实验室管理员")
    private String adminUserDesc;

    @ApiModelProperty(value = "安全负责人详情一体机用（返回对应的姓名，电话）")
    private String safeUserDesc;

    public List<Map<String, String>> getInCheck() {
        return inCheck;
    }

    public void setInCheck(List<Map<String, String>> inCheck) {
        this.inCheck = inCheck;
    }

    public SafeInfo getSubSafeInfo() {
        return subSafeInfo;
    }

    public void setSubSafeInfo(SafeInfo subSafeInfo) {
        this.subSafeInfo = subSafeInfo;
    }

    @ApiModel("安全信息")
    public static class SafeInfo{
        @ApiModelProperty("安全警示标示--字典")
        private List<String> safeSigns;

        @ApiModelProperty("主要危险类别--字典")
        private List<String> hazardCategory;

        @ApiModelProperty("安全防控措施--字典")
        private List<String> riskMeasure;

        @ApiModelProperty("灭火要点--字典")
        private List<String> outfire;

        @ApiModelProperty("二维码")
        private String qrCode;

        public List<String> getSafeSigns() {
            return safeSigns;
        }

        public void setSafeSigns(List<String> safeSigns) {
            this.safeSigns = safeSigns;
        }

        public List<String> getHazardCategory() {
            return hazardCategory;
        }

        public void setHazardCategory(List<String> hazardCategory) {
            this.hazardCategory = hazardCategory;
        }

        public List<String> getRiskMeasure() {
            return riskMeasure;
        }

        public void setRiskMeasure(List<String> riskMeasure) {
            this.riskMeasure = riskMeasure;
        }

        public List<String> getOutfire() {
            return outfire;
        }

        public void setOutfire(List<String> outfire) {
            this.outfire = outfire;
        }

        public String getQrCode() {
            return qrCode;
        }

        public void setQrCode(String qrCode) {
            this.qrCode = qrCode;
        }
    }




    public String getSafeUserName() {
        return safeUserName;
    }

    public void setSafeUserName(String safeUserName) {
        this.safeUserName = safeUserName;
    }

    public String getSafeUserPhone() {
        return safeUserPhone;
    }

    public void setSafeUserPhone(String safeUserPhone) {
        this.safeUserPhone = safeUserPhone;
    }

    public List<String> getTvIds() {
        return tvIds;
    }

    public void setTvIds(List<String> tvIds) {
        this.tvIds = tvIds;
    }

    public List<String> getOutCheck() {
        return outCheck;
    }

    public void setOutCheck(List<String> outCheck) {
        this.outCheck = outCheck;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public String getAdminPhone() {
        return adminPhone;
    }

    public void setAdminPhone(String adminPhone) {
        this.adminPhone = adminPhone;
    }

    public Long getOnline() {
        return online;
    }

    public void setOnline(Long online) {
        this.online = online;
    }

    public Long getSubId() {
        return subId;
    }

    public void setSubId(Long subId) {
        this.subId = subId;
    }

    public String getSubName() {
        return subName;
    }

    public void setSubName(String subName) {
        this.subName = subName;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getSubClass() {
        return subClass;
    }

    public void setSubClass(String subClass) {
        this.subClass = subClass;
    }

    public String getDangerName() {
        return dangerName;
    }

    public void setDangerName(String dangerName) {
        this.dangerName = dangerName;
    }

    public String getAdminName() {
        return adminName;
    }

    public void setAdminName(String adminName) {
        this.adminName = adminName;
    }

    public String getQrCodeUrl() {
        return qrCodeUrl;
    }

    public void setQrCodeUrl(String qrCodeUrl) {
        this.qrCodeUrl = qrCodeUrl;
    }

    public String getDangerLevel() {
        return dangerLevel;
    }

    public void setDangerLevel(String dangerLevel) {
        this.dangerLevel = dangerLevel;
    }

    public String getDangerColor() {
        return dangerColor;
    }

    public void setDangerColor(String dangerColor) {
        this.dangerColor = dangerColor;
    }

    public String getSignMap() {
        return signMap;
    }

    public void setSignMap(String signMap) {
        this.signMap = signMap;
    }

    public String getVideoCover() {
        return videoCover;
    }

    public void setVideoCover(String videoCover) {
        this.videoCover = videoCover;
    }

    public String getOperationGuide() {
        return operationGuide;
    }

    public void setOperationGuide(String operationGuide) {
        this.operationGuide = operationGuide;
    }

    public String getRectangleLogo() {
        return rectangleLogo;
    }

    public void setRectangleLogo(String rectangleLogo) {
        this.rectangleLogo = rectangleLogo;
    }

    public String getSafeUserDesc() {
        return safeUserDesc;
    }

    public void setSafeUserDesc(String safeUserDesc) {
        this.safeUserDesc = safeUserDesc;
    }

    public String getAdminUserDesc() {
        return adminUserDesc;
    }

    public void setAdminUserDesc(String adminUserDesc) {
        this.adminUserDesc = adminUserDesc;
    }
}
